=== debian/changelog ===
latex2rtf (2.3.3-0.3) unstable; urgency=low

  * NMU
  * debian/latex2rtf-doc.preinst: Remove symlink directory in a policy
    compliant way (closes: #720152).

 -- Daniel Leidert <dleidert@debian.org>  Thu, 05 Sep 2013 23:50:57 +0200

latex2rtf (2.3.3-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control (Standards-Version): Bumped to 3.9.4.
  * debian/copyright: Updated.
  * debian/patches/ftbfs_fix_makeinfo.patch: Added.
    - Fix a newly occurred FTBFS running makeinfo.
  * debian/patches/series: Added.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 May 2013 14:19:46 +0200

latex2rtf (2.3.3-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * debian/patches/manpage_formal_fixes.patch: Updated.
  * debian/patches/man_html.patch: Ditto.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 10 Mar 2013 13:15:39 +0100

latex2rtf (2.3.1-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release (closes: #611531).
    - Builds with latest gcc (closes: #641533).
    - Optional argument to \cite isn't ignored (closes: #383183).
    - Compiles footnotesize environment (closes: #563394).
    - Fixed output handling (LP: #327846).

  * debian/compat: Bumped dh compat level to 7.
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends, Build-Depends-Indep): Increased dh version. Added texlive
    packages. Dropped jadetex.
    (Depends): Added missing ${misc:Depends}.
  * debian/copyright: Updated.
  * debian/dirs: Dropped useless file.
  * debian/latex2rtf-doc.dirs: Ditto.
  * debian/latex2rtf-doc.doc-base: Adjusted paths.
  * debian/latex2rtf-doc.info: Added.
  * debian/latex2rtf-doc.install: Ditto.
  * debian/latex2rtf-doc.links: Ditto.
  * debian/latex2rtf.install: Ditto.
  * debian/rules: Rewritten for debhelper 7 including hardening. Moved dh
    command file argiments into files. Install everything into debian/tmp
    and install files from there to packages.
  * debian/watch: Added.
  * debian/patches/man_html.patch: Added.
    - Replace unpackaged man2html command call.
  * debian/patches/manpage_formal_fixes.patch: Added.
    - Fix several issues related to the manual pages. Add info-dir-section.
  * debian/patches/series: Added.
  * debian/source/format: Added for format 3.0.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 20 Nov 2012 21:07:24 +0100

latex2rtf (1.9.19-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add info-dir-section to latex2rtf.info (Closes: #528878)

 -- Julian Gilbey <jdg@debian.org>  Thu, 14 Jun 2012 12:30:11 +0100

latex2rtf (1.9.19-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-dependency from tetex to texlive (Closes: #562348)
  * Add ${misc:Depends} dependency

 -- Christoph Egger <christoph@debian.org>  Sat, 13 Feb 2010 00:30:30 +0100

latex2rtf (1.9.19-4) unstable; urgency=low

  * Move tofrodos to Build-Depends from Build-Depends-Indep, since todos
    appears in the clean target in debian/rules.  (Closes: #482378)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 22 May 2008 16:09:22 -0500

latex2rtf (1.9.19-3) unstable; urgency=low

  * Convert latex2rtf.texi to Unix line endings.  (Closes: #482161)
  * Clean up diff from upstream to reduce doc diffs which will just get
    clobbered during the build anyway.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 21 May 2008 20:48:36 -0500

latex2rtf (1.9.19-2) unstable; urgency=low

  * Fix FTBFS for binary rebuilds.  (Closes: #479622)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 13 May 2008 03:25:50 -0500

latex2rtf (1.9.19-1) unstable; urgency=low

  * New upstream release.  (Closes: #462416)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 05 May 2008 12:43:04 -0500

latex2rtf (1.9.16a-3) unstable; urgency=low

  * Depend on tetex-bin | texlive-base.  (Closes: #385237, #416277)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 26 Mar 2007 11:07:17 -0500

latex2rtf (1.9.16a-2) unstable; urgency=low

  * Depend on netpbm.  (Closes: #369397)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 30 May 2006 20:04:47 -0400

latex2rtf (1.9.16a-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control so latex2rtf-doc appears in the section listed
    in the override file.

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  8 Nov 2004 01:56:23 -0600

latex2rtf (1.9.16-1) unstable; urgency=low

  * New upstream release.
  * \succ <-> \prec fixed.  (Closes: #232910)
  * Solves choking on empty commands.  (Closes: #238572)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  7 Nov 2004 19:24:13 -0600

latex2rtf (1.9.15-2) unstable; urgency=high

  * Apply patch to definitions.c from Jason Copenhaver that should solve
    buffer overflow exploit.  (Closes: #272612)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 20 Sep 2004 20:13:03 -0500

latex2rtf (1.9.15-1) unstable; urgency=low

  * New upstream release.
    + Upstream fixed figure file in subdirectory problem.  (Closes: #224651)
    + Upstream fixed -o option.  (Closes: #203719)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 14 Feb 2004 17:45:56 -0600

latex2rtf (1.9.14-2) unstable; urgency=low

  * Comment out the installation of the documentation files from the
    upstream Makefile.  (Closes: #198893)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 28 Jun 2003 17:04:18 -0500

latex2rtf (1.9.14-1) unstable; urgency=low

  * New upstream release.  (Closes: #186309)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 24 Jun 2003 13:52:31 -0500

latex2rtf (1.9.13-3) unstable; urgency=low

  * Downgrade latex2rtf-doc to a suggestion.  (Closes: #140084)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 12 Jun 2002 23:14:54 -0500

latex2rtf (1.9.13-2) unstable; urgency=low

  * Fix build failure when building binary-only parts.  (Closes: #143076)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 15 Apr 2002 19:20:36 -0500

latex2rtf (1.9.13-1) unstable; urgency=low

  * New upstream release.  (Closes: #142807)

