## latex2rtf 2.3.4

=== debian/changelog ===
latex2rtf (2.3.4-0.1) unstable; urgency=low

  * NMU
  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.5.
  * debian/rules (override_dh_auto_build-indep): Create missing files.

 -- Daniel Leidert <dleidert@debian.org>  Fri, 13 Dec 2013 23:31:30 +0100
