=== debian/changelog ===
latex2rtf (2.3.5-0.1) unstable; urgency=low

  * NMU
  * New upstream release.
  * debian/latex2rtf-doc.preinst: Don't print commands (closes: #735945).

 -- Daniel Leidert <dleidert@debian.org>  Sun, 19 Jan 2014 01:00:51 +0100

latex2rtf (2.3.4-0.2) unstable; urgency=low

  * NMU
  * debian/patches/man_html.patch: Updated.
    - Create latex2rtf.html to fix FTBFS (closes: #732402).

 -- Daniel Leidert <dleidert@debian.org>  Mon, 06 Jan 2014 21:53:52 +0100
