## latex2rtf 2.3.7a

=== debian/changelog ===
latex2rtf (2.3.7a-0.1) unstable; urgency=medium

  * NMU
  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 10 May 2014 23:17:33 +0200

latex2rtf (2.3.6-0.1) unstable; urgency=low

  * NMU
  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 22 Feb 2014 16:45:03 +0100
