## latex2rtf 2.3.8

=== debian/changelog ===
latex2rtf (2.3.8-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 16 Aug 2014 20:39:28 -0400
