=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" DESTDIR=/usr PLATFORM=-DUNIX latex2rtf
 
 override_dh_auto_build-indep:
+	$(MAKE) -C doc all latex2rtf.html web/manpage.html web/latex2png.html
 	for file in doc/latex2pn.txt doc/latex2rtf.info doc/latex2rtf.pdf doc/latex2rtf.texi \
 	            doc/latex2rtf.txt doc/web/latex2png.html doc/web/manpage.html; do \
 		cp -a $$file $$file.orig; \
