=== debian/watch ===
version=3
http://sf.net/latex2rtf/latex2rtf-([\d.]+)\.tar\.gz
