=== debian/changelog ===
latex2rtf (2.3.10-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 26 Mar 2016 22:42:04 -0400
