=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: tex
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>> 7.0.50~),
+Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9),
                groff,
                texinfo,
                texlive-bibtex-extra,
