## latex2rtf 2.3.16

=== debian/changelog ===
latex2rtf (2.3.16-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 30 Sep 2017 23:30:04 -0400
