=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tex
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 9),
                groff,
                texinfo,
