=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-CFLAGS  ?= $(shell dpkg-buildflags --get CFLAGS) -DUNIX
-CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+#CFLAGS  ?= $(shell dpkg-buildflags --get CFLAGS) -DUNIX
+#CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
+#LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@ --parallel
 
 override_dh_auto_build-arch:
-	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" DESTDIR=/usr PLATFORM=-DUNIX latex2rtf
+	dh_auto_build -- DESTDIR=/usr PLATFORM=-DUNIX latex2rtf
 
 override_dh_auto_build-indep:
 	$(MAKE) -C doc all latex2rtf.html web/manpage.html web/latex2png.html
@@ -26,14 +26,15 @@
 	chmod a-x $(CURDIR)/debian/tmp/usr/share/latex2rtf/cfg/*
 
 override_dh_auto_clean:
-	dh_auto_clean -- realclean
+	dh_auto_clean -- realclean || true
 
-override_dh_clean:
+override_dh_clean::
+	dh_clean
+	rm -f doc/latex2rtf.pdf doc/latex2rtf.html doc/latex2rtf.info doc/latex2rtf.txt doc/web/latex2png.html doc/web/manpage.html
 	for file in doc/latex2pn.txt doc/latex2rtf.info doc/latex2rtf.pdf doc/latex2rtf.texi \
 	            doc/latex2rtf.txt doc/web/latex2png.html doc/web/manpage.html; do \
 		test ! -f $$file.orig || mv $$file.orig $$file; \
 	done
-	dh_clean test/hyperref.out
 
 override_dh_install:
 	dh_install --list-missing
