## latex2rtf 2.3.18

=== debian/changelog ===
latex2rtf (2.3.18-3) unstable; urgency=medium

  * Allow building with bsdmainutils << 2.35.2-3 in case anyone wants to
    backport this package.
  * Allow rootless build.
  * Remove redundant debhelper rules, bump to compat 13.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 22 Jun 2020 22:19:55 -0400

latex2rtf (2.3.18-2) unstable; urgency=medium

  * Fix cross-building of latex2rtf. (Closes: #901178)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 22 Jun 2020 16:24:13 -0400

latex2rtf (2.3.18-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS by now build-depending on bsdextrautils. (Closes: #963414)
  * Upstream includes the test directory, so we can now drop patches that
    ignored it.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 22 Jun 2020 14:31:47 -0400
