=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: tex
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.5.0
+Build-Depends: debhelper (>= 13),
+               dpkg-dev (>= 1.16.1.1),
+               texlive-latex-extra,
+               texlive-fonts-recommended,
                groff,
                texinfo,
                texlive-bibtex-extra,
-               texlive-fonts-recommended,
-               texlive-latex-extra,
-               texlive-latex-recommended,
-               tofrodos
+               tofrodos,
+               bsdextrautils | bsdmainutils (<< 2.35.2-3),
+               man2html
+Rules-Requires-Root: no
 Homepage: http://latex2rtf.sourceforge.net
 
 Package: latex2rtf
